#!/usr/bin/python

import crypto
import fs
import json

class Profile(object):
    def __init__(self, username):
        self.username = username
        self.roots = {"": fs.mkinode({})}
        self.permissions = {"": fs.mkinode({username: "owner"})}
        consistency = [0, username, None, self.roots[""][3], None, self.permissions[""][3]] 
        self.consistencys = {"": fs.mkinode([consistency])}
        self.stored = {"": [consistency, crypto.hash(json.dumps(consistency))]}

profile = None
