#!/usr/bin/python

from Crypto.Hash import SHA
import json
import os
import sys

PATH = "/afs/athena.mit.edu/user/c/h/chengch/filesystem/"

def hash(m):
    sha = SHA.new()
    sha.update(m)
    return sha.hexdigest()

print "Content-type: text/plain\n"

[method, efnm, content] = json.loads(sys.stdin.read())
if method == "GET":
    with open(PATH + efnm, "r") as inf:
        print json.dumps(inf.read())
elif method == "PUT":
    with open(PATH + hash(efnm), "w") as ouf:
        ouf.write(content)
elif method == "DEL":
    os.remove(PATH + hash(efnm))
