#!/usr/bin/python

import crypto
import httplib
import json

HOST = "securebox.chengch.scripts.mit.edu"
PATH = "/securebox.py"

def post(data):
    conn = httplib.HTTPConnection(HOST, 80)
    conn.request("POST", PATH, data)
    response = conn.getresponse()
    ret = response.read()
    conn.close()
    return ret

def get(hefnm):
    return json.loads(post(json.dumps(["GET", hefnm, ""])))

def put(efnm, content):
    post(json.dumps(["PUT", efnm, content]))

def delete(efnm):
    post(json.dumps(["DEL", efnm, ""]))
